%global _owner pgnd
%global _build_timestamp %( date +%%Y%%m%%d_%%H%%M%%S --utc )
%global _dist .%{_build_timestamp}.%{_owner}.fc%{fedora}

%define _mrgx_name        milter-regex
%define _mrgx_ug_name     %{_mrgx_name}-sysusers
%define _mrgx_ug_pkgname  %{_mrgx_ug_name}
%define _mrgx_ug_comment  Milter-Regex users & groups

# https://spdx.org/licenses/MIT.html
%global _mrgx_ug_license MIT

%define _mrgx_ug_file_in  %{_mrgx_name}.sysusers
%define _mrgx_ug_file_out %{_mrgx_name}.conf
%define _mrgx_ug_dir      /etc/sysusers.d

%global dist %{_dist}

Vendor:           %{_owner}

# NEVRA (n-e:v-r.a)
Name:              %{_mrgx_ug_name}
Epoch:             3
Version:           git_1.0
Release:           0%{?dist}
BuildArch:         noarch
#	https://blog.jasonantman.com/2014/07/how-yum-and-rpm-compare-versions/
%global _same_evr   %{epoch}:%{version}-%{release}

Summary:           %{_mrgx_ug_comment}
License:           %{_mrgx_ug_license}

Source0:           %{_mrgx_ug_file_in}
Provides:          user(milter-regex)
Provides:          group(milter-regex)

BuildRequires:     coreutils
# https://docs.fedoraproject.org/en-US/packaging-guidelines/UsersAndGroups/#_dynamic_allocation
BuildRequires:     systemd-rpm-macros

%description
%{_mrgx_ug_comment}

%prep

%build

%install
mkdir -p %{buildroot}%{_mrgx_ug_dir}
install -p -T -m 644 %{SOURCE0} %{buildroot}%{_mrgx_ug_dir}/%{_mrgx_ug_file_out}

%check

%pre

%files
%dir %{_mrgx_ug_dir}
%{_mrgx_ug_dir}/%{_mrgx_ug_file_out}

%changelog
* Sat May 10 2025 pgnd _ <null@null.loc>
- bump 1746934429
